library(stockassessment)
setwd("run")
load("data.RData")
conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
par<-defpar(dat,conf)
par$itrans_rho <- c(5,1,1)
### Changes below compared to 2019 to solve convergence problem for logSdLogFsta fleet C in 2020
mymap <- list( itrans_rho = factor(c(NA,0,1)), logSdLogFsta=factor(c(1,1,1,1)))
fit<-sam.fit(dat,conf,par,map=mymap)

mymap <- list( itrans_rho = factor(c(NA,0,1)))
par2<-fit$pl
par2$missing<-NULL
attr(par2, "what")<-NULL
 
fit<-sam.fit(dat,conf,par2,map=mymap)

if(fit$opt$convergence!=0) stop("Model did not converge.")
save(fit, file="model.RData")


### Code used in 2019
#library(stockassessment)
#setwd("run")
#load("data.RData")
#conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
#par<-defpar(dat,conf)
#par$itrans_rho <- c(5,1,1)
#mymap <- list( itrans_rho = factor(c(NA,0,1)) )
#fit<-sam.fit(dat,conf,par,map=mymap)
#if(fit$opt$convergence!=0) stop("Model did not converge.")
#save(fit, file="model.RData")
